com.amazonaws.services.simpleworkflow.model

## Enum CloseStatus

- java.lang.Object
- - java.lang.Enum<CloseStatus>
  - - com.amazonaws.services.simpleworkflow.model.CloseStatus

All Implemented Interfaces:
  Serializable, Comparable<CloseStatus>

    public enum CloseStatus
    extends Enum<CloseStatus>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCELED`
`COMPLETED`
`CONTINUED_AS_NEW`
`FAILED`
`TERMINATED`
`TIMED_OUT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CloseStatus` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static CloseStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CloseStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPLETED

    public static final CloseStatus COMPLETED

#### FAILED

    public static final CloseStatus FAILED

#### CANCELED

    public static final CloseStatus CANCELED

#### TERMINATED

    public static final CloseStatus TERMINATED

#### CONTINUED_AS_NEW

    public static final CloseStatus CONTINUED_AS_NEW

#### TIMED_OUT

    public static final CloseStatus TIMED_OUT

### Method Detail

#### values

    public static CloseStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloseStatus c : CloseStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloseStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CloseStatus>`

#### fromValue

    public static CloseStatus fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  CloseStatus corresponding to the value